pqxx::failure Struct Reference
Exception classes

Run-time failure encountered by libpqxx, similar to std::runtime_error. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::failure:
[legend]

## Public Member Functions

| failure (std::string const &)

## Detailed Description

Run-time failure encountered by libpqxx, similar to std::runtime_error.

## Constructor & Destructor Documentation

## failure()

pqxx::failure::failure | ( | std::string const & | whatarg | ) |

explicit

Implementation of libpqxx exception classes.

Copyright (c) 2000-2023, Jeroen T. Vermeulen.

See COPYING for copyright license. If you did not receive a file called COPYING with this source code, please notify the distributor of this mistake, or contact the author.

The documentation for this struct was generated from the following files:

- except.hxx
- except.cxx